#include <iostream>

using namespace std;

int main()
{
    int total = 0;

    // goto 语句的使用
    // 实现方法 1
    //     int i = 100;
    // flag:
    //     while (i--)
    //     {
    //         if (i % 5 == 0)
    //             goto flag;
    //         total += i;
    //     }

    // 实现方法 2
    int i = 0;
abc:
    if (i == 100)
        goto show;

    i++;
    if (i % 5 == 0)
        goto abc;

    total += i;
    if (i < 100)
        goto abc;

show:
    cout << "100以内除了5的倍数之外的数之和为: " << total << endl;
    return 0;
}